
#ifndef MAIN_H
#define MAIN_H
#ifdef __cplusplus
extern "C" {
#endif

//---------------------------------------------------------------------------
#define STATE_INIT 				1		//is
#define STATE_RESET				2
#define STATE_INPUT				3
#define STATE_EDIT				4
#define STATE_COMPILE			5
#define STATE_RUN				6
#define STATE_MSG				7

//---------------------------------------------------------------------------
EWRAM_CODE void StateInit(); 
EWRAM_CODE void StateReset();
EWRAM_CODE void StateInput();
EWRAM_CODE void StateEdit();
EWRAM_CODE void StateCompile();
EWRAM_CODE void StateRun();
EWRAM_CODE void StateMsg();

EWRAM_CODE void InitWS();
EWRAM_CODE void InitKey();
EWRAM_CODE void InitFont();
EWRAM_CODE void InitSprite();
EWRAM_CODE void InitIRQ();


//----
EWRAM_CODE void DrawEditScreen();
EWRAM_CODE void DrawTitle();


#ifdef __cplusplus
}
#endif
#endif
